<a href="{url('helloworld')}" style="float:right;">[Back]</a>
<b>Validating form referers:</b>
<br />
<p style="text-align:justify;">When we use a form for getting data from users, it might be necessary to get data only from the form that is on our domain. It means we reject submission from other domains. You can change allowed domain names in configuration named "Site". It is possible to seperate domain names with comma (,) but only the first domain name is main domain name and is used for URLs.</p>
<br />
<i>Example:</i>
<pre>
PHP Code:
<span style="color:gray;">&lt;?php

require __PATH__ . '/incs/form.class.php';
$class['form'] = new Form;

if (isset($_POST['submit']))
&#123;
	if ($class['form']->validate_referer())
	&#123;
		print 'Good referer :)';
	&#125;
	else
	&#123;
		print 'Bad referer :(';
	&#125;
&#125;

?&gt;</span>
</pre>
<a href="{url('helloworld/example-form-validating')}" target="_blank">[View]</a> 