<?php

/*
 * config.class.php
 *
 * @copyright     Copyright 2009-2012 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Config
{
	public function __get($name)
	{
		global $db;
		
		$result = $db->select('config', array('value'), array('name' => '=\'' . $db->escape($name) . '\''));
		if ($config = $db->fetch_assoc($result))
		{
			$configuration = $config['value'];
			
			if ($name == 'site')
			{
				$configuration = explode(',', $configuration);
				$configuration = $configuration[0];
			}
		}
		
		return empty($configuration) ? FALSE : $configuration;
	}
}

?>