<?php

/*
 * role.class.php
 *
 * @copyright     Copyright 2009-2012 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Role
{
	public function roles($field = NULL)
	{
		global $db;
		
		$roles = array();
		
		if (empty($field))
		{
			$result = $db->select('roles', '*');
			while ($role = $db->fetch_assoc($result))
				array_push($roles, $role);
		}
		else
		{
			$field = $db->escape($field);
			$result = $db->select('roles', array($field));
			while ($role = $db->fetch_assoc($result))
				array_push($roles, $role[$field]);
		}
		
		return $roles;
	}
}

?>