$(document).ready(function(){
	prepareConfirm();
	
	$("input[type=checkbox]").live("click", function(event){
		var _this = $(this);
		var _name = $(this).attr("name");
		var _checked = $(this).prop("checked") ? "1" : "0";
		
		$("div.applications").animate({ opacity: 0.5 });
		$("div.applications input[type=checkbox]").prop("disabled", true);
		
		$.post("index.php?p=apps/reload/" + _name + "/" + _checked, {}, function(data){ $("div#content").html(data); prepareConfirm(); });
	});
	
	$("a.uninstall").live("click", function(event){
		event.preventDefault();
		
		$("input.yes").val("");
		$("div#msgcnt").show();
		$("div#msgbox").fadeIn();
		$("div#msgbox").css("height", $(document).height());$("div#msgcnt").css("top", $(window).scrollTop() + (20 * $(window).height() / 100));
		$("form#uninstall").attr("action", "index.php?p=apps/uninstall/" + $(this).attr("href").substring(1));
	});
	
	$(window).scroll(function(){
		$("div#msgcnt").stop().animate({top: $(window).scrollTop() + (20 * $(window).height() / 100)});
	});
	
	$("a.cancel").live("click", function(event){
		event.preventDefault();
		$("div#msgcnt").hide();
		$("div#msgbox").fadeOut();
	});
});