<?php

/*
 * default.tpl
 *
 * @copyright     Copyright 2009-2012 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

$tables = array('apps', 'languages', 'widnames', 'users', 'roles');
$search = array('Limny', '[APP]', '[LANGUAGE]', '[WIDGET]', '[USER]', '[ROLE]');
$replace = array('<span style="color:#C00000;">L</span><span style="color:#FFC000;">i</span><span style="color:#00B050;">m</span><span style="color:#0070C0;">n</span><span style="color:#000000;">y</span>');

foreach ($tables as $table)
{
	$result = $db->select($table, array('id'));
	array_push($replace, $db->num_rows($result));
}

$string = '';
$collector_exploded = explode('[COLLECTOR]', INFO_53);

foreach ($collector_exploded as $key => $value)
{
	$string .= $value;
	
	if (isset($replace[$key + 1]) && $replace[$key + 1] > 1)
		$string .= _COLLECTOR_;
}

$page['content'] = str_replace($search, $replace, $string) . '<hr size="1" style="color:#CCCCCC;" />';

$page['head'] = '<script type="text/javascript" src="default.js"></script>';
	
?>