<a href="{url('helloworld')}" style="float:right;">[Back]</a>
<b>Page options:</b>
<br />
<p style="text-align:justify;">Each page has a global function called $page which controls how page be shown.</p>
<br />
<i>Example:</i>
<pre>
PHP Code:
<span style="color:gray;">&lt;?php

// page title
// will print in &lt;title&gt; tag
$page['title'] = 'my page';

// additional tags that will print in &lt;head&gt; tag
// for additional CSS and Javascript tags specified for single page
$page['head'] = '&lt;script type="text/javascript"&gt;alert("Hi :)");&lt;/script&gt;';

// page content
// will print in "Content" block
$page['content'] = 'Hi there! just a short string for testing $page content.';

// page template (boolean), [default=true]
// enabling and disabling load of TPL files only when we use TPL & PHP together (see TPL & PHP Interaction)
$page['template'] = FALSE;

// page caching (boolean), [default=true]
// for dynamic pages (only when that chaching is enable in configuration)
$page['cache'] = FALSE;

?&gt;</span>
</pre>
<a href="{url('helloworld/example-page-options')}" target="_blank">[View]</a> 