<?php

/*
 * functions.php
 *
 * @copyright     Copyright 2009-2012 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

function url($query, $full = FALSE, $lang = TRUE)
{
	if ($lang === TRUE)
	{
		$q = query(TRUE);
		$class['language'] = new Language;
		
		if (empty($q[0]) === FALSE && in_array($q[0], $class['language']->languages('value')))
			$query = $class['language']->language . '/' . $query;
	}
	
	$class['config'] = new Config;
	
	if ($class['config']->uri_mode == 'REQUEST_URI')
		$query = 'index.php/' . $query;
	else
		if ($class['config']->rewrite == '0')
			$query = 'index.php?q=' . $query;
	
	return ($full == FALSE) ? base_path() . '/'.$query : $class['config']->site . '/' . $query;
}

function eval_this($str, $eval = NUlL)
{
	if (empty($str) === FALSE)
	{
		if (empty($eval) === FALSE)
			eval($eval);
		
		if (strtolower(substr($str, 0, 5)) == '<?php')
		{
			$str = trim($str);
			$str = trim(substr($str, 6, strlen($str) - 8));
			
			return eval($str);
		}
		else
			return $str;
	}
	
	return FALSE;
}

function base_path()
{
	return str_replace($_SERVER['DOCUMENT_ROOT'], '', __PATH__);
}

function def($name, $value, $case_insensitive = FALSE)
{
	if (defined($name) === FALSE)
	{
		define($name, $value, $case_insensitive);
		return TRUE;
	}
	
	return FALSE;
}

function query($full = FALSE)
{	
	$class['config'] = new Config;
	
	if ($class['config']->uri_mode == 'REQUEST_URI')
	{
		$q = str_replace('%2F', '/', @$_SERVER['REQUEST_URI']);
		$q = strstr($q, 'index.php');
		$q = explode('/', $q);
		
		unset($q[0]);
		
		$q = array_merge(array(), $q);
	}
	else
	{
		$q = str_replace('%2F', '/', @$_GET['q']);
		$q = explode('/', $q);
	}
	
	if (empty($q) === FALSE && $full == FALSE)
	{
		$class['language'] = new Language;
		
		if (in_array($q[0], $class['language']->languages('value')))
		{
			unset($q[0]);
			$q = array_merge(array(), $q);
		}
	}
	
	return $q;
}

function unhtml($str)
{
	return str_replace(array('&', '<', '>', '"'), array('&amp;', '&lt;', '&gt;', '&quot;'), $str);
}

function limny_error($error)
{
	print '<span style="font-family:serif;font-size:20pt;font-style:italic;font-weight:bold;color:#444444;"><span style="color:#C00000;">L</span><span style="color:#FFC000;">i</span><span style="color:#00B050;">m</span><span style="color:#0070C0;">n</span><span style="color:#000000;">y</span></span><hr size="1" /><pre style="font-size:10pt;"><b>Error:</b> ' . $error . '</pre>';
	exit;
}

?>