<?php

/*
 * page.class.php
 *
 * @copyright     Copyright 2009-2012 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Page
{
	public $_page;
	public $_content;
	
	private $_title;
	private $_head;
	
	public function __get($position)
	{
		$class['widget'] = new Widget;
		
		return $class['widget']->load_widgets($position);
	}
	
	public function make()
	{
		$class['config'] = new Config;
		$class['content'] = new Content;
		$class['language'] = new Language;
		
		$content = $class['content']->make();
		$this->_head = $this->load_head();
		$this->_title = $class['config']->title;
		
		$this->_content = $content['content'];
		
		if (isset($content['title']))
			$this->_title = $content['title'] . ' - ' . $this->_title;
		
		if (isset($content['head']))
			$this->_head .= $content['head'];
		
		ob_start();
		include(__PATH__ . '/themes/' . $class['config']->theme . '/index.tpl');
		$page = ob_get_contents();
		ob_end_clean();
		
		$this->_page = $page;
	}
	
	private function load_head()
	{
		global $db;
		
		$heads = '';
		$result = $db->select('head', array('eval'), array('enabled' => '=\'1\'', 'ORDER BY', 'id' => 'ASC'));
		while ($head = $db->fetch_assoc($result))
			$heads .= eval_this($head['eval']);
		
		return $heads;
	}
}

?>