<?php

/*
 * permalink.class.php
 *
 * @copyright     Copyright 2009-2012 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

class Permalink
{
	public function is_permalink($permalink)
	{
		global $db;
		
		$result = $db->select('permalinks', array('id'), array('permalink' => '=\'' . $db->escape($permalink) . '\''));
		return ($permalinks = $db->fetch_assoc($result)) ? TRUE : FALSE;
	}
	
	public function get_query($permalink)
	{
		global $db;
		
		$result = $db->select('permalinks', array('query'), array('permalink' => '=\'' . $db->escape($permalink) . '\''));
		return ($permalinks = $db->fetch_assoc($result)) ? $permalinks['query'] : FALSE;
	}
}

?>