<?php

/*
 * index.php
 *
 * @copyright     Copyright 2009-2012 Hamid Reza Samak
 * @link          http://www.limny.org
 * @package       limny
 * @author        Hamid Reza Samak <hamid@limny.org>
 * @license       GNU/GPL License (http://www.gnu.org/licenses/gpl.html)
 */

require_once dirname(__FILE__) . '/init.php';

session_name('_limny');
session_start();

require_once __PATH__ . '/incs/config.class.php';
require_once __PATH__ . '/incs/user.class.php';
require_once __PATH__ . '/incs/role.class.php';
require_once __PATH__ . '/incs/language.class.php';
require_once __PATH__ . '/incs/page.class.php';
require_once __PATH__ . '/incs/application.class.php';
require_once __PATH__ . '/incs/cache.class.php';
require_once __PATH__ . '/incs/content.class.php';
require_once __PATH__ . '/incs/widget.class.php';
require_once __PATH__ . '/incs/permalink.class.php';
require_once __PATH__ . '/incs/file.class.php';

$class['language'] = new Language;
include_once __PATH__ . '/langs/' . $class['language']->language . '/main.php';

$class['page'] = new Page;
$class['page']->make();
print $class['page']->_page;

?>