<!DOCTYPE html>
<html dir="<?php print $class['language']->direction; ?>">
<head>
<title><?php print $this->_title; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php print $class['language']->charset; ?>" />
<meta name="generator" content="Limny <?php print $class['config']->version; ?>" />
<link rel="stylesheet" href="<?php print base_path(); ?>/themes/graywhale/style<?php print ($class['language']->direction == 'rtl') ? '-rtl' : null; ?>.css" type="text/css" />
<link rel="shortcut icon" href="<?php print base_path(); ?>/misc/favicon.ico" type="image/x-icon" />
<script type="text/javascript" src="<?php print base_path(); ?>/misc/jquery.js"></script>
<?php print $this->_head; ?>
</head>
<body>
<div id="page">
	<div id="top">
		<div class="left">
			<ul>
				<li><a href="<?php print $class['config']->site; ?>"><?php print HOME; ?></a></li>
				<li>|</li>
				<?php $class['user'] = new User; if ($class['user']->is_authorized()) { ?>
				<li><a href="<?php print url('-/profile'); ?>"><?php print PROFILE; ?></a></li>
				<?php }else{ ?>
				<li><a href="<?php print url('-/register'); ?>"><?php print REGISTER; ?></a></li>
				<?php } ?>
				<li>|</li>
				<?php if ($class['user']->is_authorized()) { ?>
				<li><a href="<?php print url('-/logout'); ?>"><?php print LOGOUT; ?></a></li>
				<?php }else{ ?>
				<li><a href="<?php print url('-/login'); ?>"><?php print LOGIN; ?></a></li>
				<?php } ?>
			</ul>
		</div>
		<div class="right"></div>
		<div style="clear:both;"></div>
	</div>
	<div id="header">
		<div class="logo"><img src="<?php print base_path(); ?>/misc/transparent.gif" alt="" /></div>
		<div class="title"><a href="<?php print $class['config']->site; ?>"><?php print $class['config']->header; ?></a></div>
	</div>
	<?php print $this->header; ?>
	<div id="wrapper">
		<div class="left"><?php print $this->left; ?></div>
		<div class="center"><?php print $this->center; ?></div>
		<div class="right"><?php print $this->right; ?></div>
		<div style="clear:both;"></div>
	</div>
	<div id="footer">
		<?php print $this->footer; ?>
		<br /><br /><a href="http://www.limny.org" style="border:0;"><img src="<?php print base_path(); ?>/misc/limny-button.png" alt="" /></a>
	</div>
</div>
</body>
</html>